Bug 463219 - [LTC 6.0 FEAT] 201744:Cleanup of libICA Crypto library
[LTC 6.0 FEAT] 201744:Cleanup of libICA Crypto library
Status: CLOSED DUPLICATE of bug 462977
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libica (Show other bugs)
6.0
s390x All
medium Severity medium
: alpha
: 6.0
Assigned To: Dan Horák
: FutureFeature
Depends On: 462977
Blocks: 356741 465491
  Show dependency treegraph
 
Reported: 2008-09-22 12:31 EDT by IBM Bug Proxy
Modified: 2009-10-23 09:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-23 09:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 12:31:25 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:23 EDT
1. Feature Overview:
Feature Id:	[201744]
a. Name of Feature:	Cleanup of libICA Crypto library
b. Feature Description
The libica code is rather unreadable and has to be refactored.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Installer: Yes
Delivery Mechanism: Direct from community
Category:	Security
Request Type:	Package - Feature from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.29

3. Business Case
The libica is a critical building block in the crypto stack. It needs to have a decent code quality
to keep it maintainable and extensible, providing a better serviceability for the customer.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-01 16:47:14 EDT
I'm confused. libica is a userspace component (versioned at 1.3.x) - how is this targeted at 2.6.29?
Comment 2 IBM Bug Proxy 2009-02-06 05:52:18 EST
Red Hat,

you are right, actually with:
IBM Bug 48096   -  RH Bug 462977 [LTC 6.0 FEAT] 201675:Pick up latest version of libica
this feature should be already included.

Sorry for the confusion,
Gonzalo Muelas Serrano.
Comment 3 IBM Bug Proxy 2009-03-02 09:11:57 EST
When RHEL 6 takes libica version 2.0 this feature  is fulfilled

take latest from
http://sourceforge.net/project/showfiles.php?group_id=128009
Comment 4 Dan Horák 2009-05-12 04:53:54 EDT
libica 2.0.1 is built in Fedora - https://s390.koji.fedoraproject.org/koji/taskinfo?taskID=55752
Comment 5 Siddharth Nagar 2009-10-23 09:28:55 EDT

*** This bug has been marked as a duplicate of bug 462977 ***

Note You need to log in before you can comment on or make changes to this bug.